Bug 211242 - (scribes-templates) Review Request: scribes-templates - Templates ("Snippets") for the Scribes text editor
Review Request: scribes-templates - Templates ("Snippets") for the Scribes te...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-17 21:29 EDT by Peter Gordon
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-19 21:03:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Gordon 2006-10-17 21:29:14 EDT
Spec URL: http://thecodergeek.com/downloads/fedora/scribes-templates.spec
SRPM URL: http://thecodergeek.com/downloads/fedora/scribes-templates-20061017-1.src.rpm

Scribes is a simple and sleek text editor for the the GNOME desktop. It focuses
on keeping the working environment free from distractions, and providing strong
automation of mundane, repetitive tasks. One of its greatest features is a
dynamic templating system (popularly called Snippets) to automate the creation
of various types of files following the same general format. This package
contains a collection of various pre-made templates for Scribes.

rpmlint is silent on both the noarch binary RPM and the source RPM.
Comment 1 Mamoru TASAKA 2006-10-18 11:43:30 EDT
1.
Well, while writing  %build section seems preferable even if
it is empty, don't write %pre %preun.. etc if they are empty because
writing "%post" (even if its content is empty) calls a shell 
(in this case, it is /bin/bash) without autual need 
and adds redundant "Requires: /bin/bash" to the rpm package.
2.
The line: install -m 0644 %{SOURCE1} .
Please keep timestamps, i.e. use "install -p" (or "cp -p").
3.
By the way, does upstream have a plan to change the numbering of
"VERSION"? Usually writing date to version is not preferable.
Comment 2 Peter Gordon 2006-10-18 15:39:24 EDT
Spec: http://thecodergeek.com/downloads/fedora/scribes-templates.spec
SRPM: http://thecodergeek.com/downloads/fedora/scribes-templates-20061017-2.src.rpm

The first two issues I've fixed in release 2, linked above.

> By the way, does upstream have a plan to change the numbering of
> "VERSION"? Usually writing date to version is not preferable.
Datestamps like this are the current plan (since they will feasibly not be
updated quite as often as Scribes itself). Why are datestamps like this not
preferred? (There really is no other specific versioning to it...)

Thanks for your suggestions!

Comment 3 Mamoru TASAKA 2006-10-19 12:19:45 EDT
(In reply to comment #2)

>  Why are datestamps like this not
> preferred? (There really is no other specific versioning to it...)

There are many cases that a source numbered by date means it is a pre-version
and in that case the VERSION in spec file should have something like
0.%{date}. However, if it is not for this package, it is okay.

---------------------------------------------------------------------
   This package (scribes-templates) is APPROVED by me.
Comment 4 Peter Gordon 2006-10-19 21:03:14 EDT
Imported and built for devel. Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.